<template>
    <div>
        <AdminMenuBar>
            <div class="hero margin-bottom-md font-bebas">
                <span>
                    <h1>ADMIN DASHBOARD</h1>
                    <p class="color-dynamic-black">Hello admin welcome back!</p>
                </span>
            </div>
            <div class="flex flex-row flex-wrap items-justify">
            <template  v-for="item in data" :key="item">
                <el-card class="padding-sm">
                    <div style="width:500px" class="flex items-center flex-row " >
                        <el-icon class=" stats-icon margin-right-md" :size="100">
                            <User class="icon" v-if="item.details == 'Users'"/>
                            <Avatar class="icon" v-if="item.details == 'Admins'"/>
                            <ShoppingCartFull class="icon" v-if="item.details == 'Ongoing Transactions'"/>
                            <Tickets class="icon" v-if="item.details == 'Finished Transactions'"/>
                            <Money class="icon" v-if="item.details == 'Total Revenue Made'"/>
                        </el-icon>

                        <div class="flex flex-column">
                        <h1 class="no-margin stats-number" v-if="item.details == 'Total Revenue Made'">₱{{item.header.toLocaleString()}}</h1>
                        <h1 class="no-margin stats-number" v-else>{{item.header.toLocaleString()}}</h1>
                        <p class="no-margin">{{item.details}}</p>
                    </div>
                    </div>
                </el-card>
            </template>
            </div>
        </AdminMenuBar>
    </div>
</template>

<style lang="scss" scoped>
@import "../../../sass/app.scss";

.stats-number{
    font-size:50px;
}

.stats-icon{
    color: var(--el-color-primary);
}

.hero h1 {
    font-size: 80px;
    margin: 0;
    color: white;
    text-shadow: 1px 2px 1px black;
}


.hero p {
    font-size: 2rem;
    margin: 0;
}

</style>
<script setup>
import { ref, onMounted } from "vue";
import { ShoppingCartFull , Money, User, Avatar , Tickets } from "@element-plus/icons-vue";

const stats_item = [
    { icon: "ShoppingCartFull", header: "50,320", details: "Total Order"},
    { icon: Money, header: "₱323,438", details: "Revenue Made"},
    { icon: User, header: "30,219", details: "Total User"},

    { icon: User, header: "30,219", details: "Total User"},
];


const data = ref([]);

const updateTransactionStatus = async (requestData) => {
    try {
        let token = localStorage.getItem("admin_token") ?? sessionStorage.getItem("admin_token");
        const headers = {
            Authorization: `Bearer ${token}`,
        };

        let res = await axios({
            method: "GET",
            url: "/api/admin/fetchSystemSummary",
            headers: headers,
        });

        data.value = res.data;
    } catch (error) {
        salesData.value = [];
        console.log(error);
    } 
};

onMounted (async ()=>{
    await updateTransactionStatus()
});
</script>
